import stanford.karel.SuperKarel;

public class X1_ChangeWorld extends SuperKarel {
    public void run() {
        left(); // right
        while (noCrystalsOnCell()) {
            go();
        }
        get();
        while (frontIsClear()) {
            left();//right
            while (frontIsClear()) {
                go();
                if (crystalsOnCell()) {
                    get();
                    left();//right
                }
            }
            left();//left
            while (frontIsClear()) {
                go();
            }
        }
    }
}
